Create Directory
- POST
- /workspaces
- /:workspace
- /artifacts
- /:artifact_id
- /versions
- /:version_id
- /content
- /:path
Create new directory in artifact version
Request example
CURL
curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/content/:path" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/content/src/components",
"html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/content/src/components",
"type": "DIR",
"name": "components",
"path": "src/components"
}STATUS
201 Created